xslt-examples/__relpipe-out-xml_xslt.sh
branchv_0
changeset 29 509cac0cf411
parent 25 8e2d9b67b51c
--- a/xslt-examples/__relpipe-out-xml_xslt.sh	Sat Jun 06 01:50:44 2020 +0200
+++ b/xslt-examples/__relpipe-out-xml_xslt.sh	Fri Jul 31 00:07:04 2020 +0200
@@ -19,8 +19,24 @@
 BASE="$(basename $0)"
 XSL="$DIR/$BASE.xsl"
 
+xsltParams=();
+
+while [[ $# -gt 0 ]]; do
+	argument="$1";
+	case "$argument" in
+		"--title")                       xsltParams+=("--stringparam" "title" "$2"); shift; shift; ;;
+		"--css-appendix")                xsltParams+=("--stringparam" "cssAppendix" "$2"); shift; shift; ;;
+		"--description")                 xsltParams+=("--stringparam" "description" "$2"); shift; shift; ;;
+		"--record-count-prefix")         xsltParams+=("--stringparam" "recordCountPrefix" "$2"); shift; shift; ;;
+		"--record-count-suffix")         xsltParams+=("--stringparam" "recordCountSuffix" "$2"); shift; shift; ;;
+		"--relation-name-prefix")        xsltParams+=("--stringparam" "relationNamePrefix" "$2"); shift; shift; ;;
+		"--relation-name-suffix")        xsltParams+=("--stringparam" "relationNameSuffix" "$2"); shift; shift; ;;
+		*) echo "Unknown option: $argument" >&2; exit 1;
+	esac
+done
+
 if [[ -f "$XSL" ]]; then
-	relpipe-out-xml | xsltproc "$XSL" -
+	relpipe-out-xml | xsltproc "${xsltParams[@]}" "$XSL" -
 else
 	echo "unable to find XSLT template: $XSL" 1>&2
 	exit 1;